searchData={"items":[{"type":"module","title":"Behaves","doc":"`Behaves` allows you to check if an Elixir module implements a given\n[behaviour](https://elixir-lang.org/getting-started/typespecs-and-behaviours.html).","ref":"Behaves.html"},{"type":"function","title":"Behaves.like_a/1","doc":"Returns the list of behaviours implemented by `impl`.\n\nBehaviours are sorted in the same order of `@behaviour`s defined in the `impl` module.","ref":"Behaves.html#like_a/1"},{"type":"function","title":"Behaves.like_a/2","doc":"Returns `:ok` if the `impl` implements the behaviour.\n\nIn other cases, returns:\n- `{:not_implemented, {impl, behaviour}}` if the implementation dos not implements the behaviour\n- `{:not_a_module, impl}` if `impl` is not a module\n- `{:not_a_module, behaviour}` if `behaviour` is not a module\n- `{:not_a_behaviour, behaviour}` if `behaviour` is not a behaviour","ref":"Behaves.html#like_a/2"},{"type":"function","title":"Behaves.like_a!/2","doc":"Returns `:ok` if a given `impl` implements the `behaviour` or raises.\n\nPossible raised errors are:\n- `ArgumentError` if `impl` is not a module\n- `ArgumentError` if `behaviour` is not a module\n- `Behaves.NotImplementedError` if `impl` does not implement the `behaviour`","ref":"Behaves.html#like_a!/2"},{"type":"function","title":"Behaves.like_a?/2","doc":"Returns `true` if `impl` implements the `behaviour` or `false` if it does not.","ref":"Behaves.html#like_a?/2"},{"type":"exception","title":"Behaves.NotImplementedError","doc":"","ref":"Behaves.NotImplementedError.html"}],"content_type":"text/markdown"}